%define rname activerecord
%define name ruby-%{rname}
%define version 2.1.0
%define release %mkrel 1

Summary:	Object-Relational mapping library for Ruby
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ar.rubyonrails.com/
Source0:	%{rname}-%{version}.gem
Patch0:		activerecord-2.1.0-sock.patch
License:	MIT
Group:		Development/Ruby
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	ruby ruby-activesupport
BuildRequires:	ruby-RubyGems ruby-activesupport

%description
Active Record connects business objects and database tables to create a
persistable domain model where logic and data is presented in one wrapping.
It's an implementation of the object-relational mapping (ORM) pattern.

%prep
rm -rf %rname-%version
rm -rf tmp-%rname-%version
mkdir tmp-%rname-%version
gem install --ignore-dependencies %{SOURCE0} --no-rdoc --install-dir `pwd`/tmp-%rname-%version
mv tmp-%rname-%version/gems/%rname-%version .
mv tmp-%rname-%version/specifications/%rname-%version.gemspec %rname-%version/
rm -rf tmp-%rname-%version
%setup -T -D -n %rname-%version
%patch0 -p1 -b .sock

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
chmod 0644 README

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT{%{ruby_sitelibdir},%{ruby_ridir},%{ruby_gemdir}/specifications}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_sitelibdir}
cp -a ri/ActiveRecord $RPM_BUILD_ROOT%{ruby_ridir}

cp -a %rname-%version.gemspec $RPM_BUILD_ROOT%{ruby_gemdir}/specifications/

for f in `find %buildroot%{ruby_sitelibdir} -type f`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/*
%{ruby_ridir}/*
%{ruby_gemdir}/specifications/%rname-%version.gemspec
%doc CHANGELOG README examples rdoc




%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-1mdv2009.0
+ Revision: 269228
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-0mdv2009.0
+ Revision: 214638
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151291
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.15.3-1mdv2008.0
+ Revision: 17559
- 1.15.3

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 1.14.4-2mdv2008.0
+ Revision: 16687
- ri is now in ri/ and not ri/ri/
- Use Development/Ruby group


* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 1.14.4-1mdv2007.0
+ Revision: 84915
- 1.14.4
- Import ruby-activerecord

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 1.14.3-2mdv2007.0
- Patch0: default to /var/lib/mysql/mysql.sock

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 1.14.3-1mdv2007.0
- 1.14.3

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 1.13.2-2mdk
- Use system macro
- Ship the gemspec

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 1.13.2-1mdk
- 1.13.2
- use gem
- mkrel

* Wed Jul 20 2005 Pascal Terjan <pterjan@mandriva.org> 1.11.1-1mdk 
- First Mandriva release

